Skip to main content
POST
/
api
/
v1
/
contacts
/
tags
Create a new contact tag
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/contacts/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "VIP",
  "description": "Important customer",
  "color": "#FF0000",
  "is_active": true
}
'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/contacts/tags"

payload = {
"name": "VIP",
"description": "Important customer",
"color": "#FF0000",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'VIP',
description: 'Important customer',
color: '#FF0000',
is_active: true
})
};

fetch('https://{subdomain}.mihu.ai/api/v1/contacts/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Body

application/json
name
string
required
Required string length: 2 - 255
Example:

"VIP"

description
string
Maximum string length: 255
Example:

"Important customer"

color
string

Hex color in #RRGGBB format

Example:

"#FF0000"

is_active
boolean
Example:

true

Response

Tag created